export enum CardTypeName {
    Title = 'title',
    Derivatives = 'derivatives',
    WebImage = 'webImage',
    Card = 'card',
    Text = 'text',
    PostCard = 'NsPost',
    BrandCard = 'NsBrandCard',
    BrandCardBrandImage = 'brandCardBrandImage',
    HeroLevel1Card = 'NsHeroCardLevel1',
    BackgroundImageUrl = 'backgroundImageUrl',
    HeroLevel2Card = 'NsHeroCardLevel2',
    BrandName = 'brandName',
    IconTextCard = 'NsIconTextCard',
    LargeCard = 'NsLargeCard',
    MediumCard = 'NsMediumCard',
    XLargeCard = 'NsXLargeCard',
    SmallFullCard = 'NsSmallFullCard',
    AwardCard = 'NsAwardCard',
    CheckoutCard = 'NsCheckoutCard',
    Icon = 'icon'
}

export type BynderImageDerivativeTypes =
    | 'transformBaseUrl'
    | 'thumbnail'
    | 'mini'
    | 'webImage'
    | ''
    | 'original';
export type BynderImageObjType = {
    url: string;
    width: number;
    height: number;
    fileSize: number;
    derivativeName?: string;
};
