import { NsMediumCard } from '@nuskin/foundation-ui-components';

import type { NsMediumCardProps } from '../types/types';

type Props = {
    card: NsMediumCardProps;
};
// TODO: we have to update the cards to use image from bynder extension
const NsMediumCardComponent = ({ card }: Props) => {
    const { title, titleFontWeight, subtitle, backgroundImageDetail, button, className } = card || {};
    return (
        <NsMediumCard
            title={title}
            titleFontWeight={titleFontWeight}
            subtitle={subtitle}
            backgroundImageDetail={backgroundImageDetail}
            button={button}
            className={className}
            fluid
        />
    );
};

export default NsMediumCardComponent;
