import { styled } from '@nuskin/foundation-theme';
import { NsLink } from '@nuskin/foundation-ui-components';

export const PrimaryLinkWrapper = styled(NsLink)`
    &:focus {
        outline: none;
        text-decoration: none;
    }
`;

export const SecondaryWrapper = styled('div')`
    -webkit-tap-highlight-color: transparent;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    cursor: pointer;
    outline: none;
    padding: 0;
    text-decoration: none;
    transition: transform 120ms linear;
    color: inherit;
    &:focus {
        outline: none;
        text-decoration: underline;
    }
    display: flex;
    svg {
        margin-right: 10px;
        margin-left: 10px;
        g {
            stroke-width: 2;
        }
    }
    .cta-text {
        text-decoration: underline;
        text-underline-offset: 4px;
        text-decoration-color: inherit;
    }
    :hover {
        opacity: 0.7;
    }
`;
