import { CslpTag } from '@nuskin/foundation-ui-components';

export type CtaLinkProps = {
    ctaProps?: CtaLinkItemProps;
    liveTag?: CslpTag;
};

export type AlignType = 'left' | 'right';

export type CtaLinkItemProps = {
    url?: string;
    text?: string;
    color?:  'primary' | 'secondary';
    variants?: string;
    ctaVariant?: 'primary' | 'secondary';
    values?: {
        outlined?: boolean;
        align?: AlignType;
    };
    displayName?: string;
    btnVariant?: 'outlined' | 'contained';
};

export type IconMap = {
    left: string;
    right: string;
};

/* eslint-disable no-unused-vars */
export enum ContentTypeName {
    primary = 'primary',
    secondary = 'secondary'
}
