import dataParser from './model/showcase-model';
import { ComponentBlockMapType } from '../types';
import ShowCaseList from './variants/showcase-list/ShowcaseList';
import Showcase from './variants/showcase/Showcase';

export const ShowcaseMap: ComponentBlockMapType = {
    showcase: {
        dataParser,
        component: Showcase
    },
    showcase_list: {
        dataParser,
        component: ShowCaseList
    }
};
