import getVideoPage from './model/video-modal';
import DefaultVideoComponent from './variants/DefaultVideo';

type VideoBlockMapType = {
    [key: string]: {
        component: React.ElementType;
        dataParser: (props: any) => void;
    };
};

export const VideoBlockMap: VideoBlockMapType = {
    default: {
        dataParser: getVideoPage,
        component: DefaultVideoComponent
    }
};
