import { render } from '@testing-library/react';

import { VideoParserProps } from '../types/types';
import NsVideoComponent from '../Video';
import { NsVideoMockdata } from './fixtures';

describe('Ns Video', () => {
    it('1. renders video component', () => {
        const videoProps: VideoParserProps = NsVideoMockdata;
        const { getByTestId } = render(<NsVideoComponent {...videoProps} />);
        const element = getByTestId('video-component');
        expect(element).toBeInTheDocument();
    });
});
