export const SampleAccordionData = [
    {
        item_title: 'Accordion Title HTML',
        _metadata: {
            uid: 'cs06930fc002f877e5'
        },
        type: 'html',
        default_open: false,
        rte: '<span>1. Theme can be set to either ‘gray’ or ‘stripe’, adjusting only the appearance of</span><span>the topmost set of accordions.</span><p><span></span><span>2. Accordions can be nested repeatedly, internal accordions follow the ‘gray’ theme.</span></p><p><span></span><span>3. Color can be inverted by setting boolean ‘invert’ attribute. This inversion affects all levels of the accordion.</span><span>\\n</span><span>4. Per level offset of accordion can be changed by setting the level attribute.</span><span>\\n</span><span>Defaults to 1 which is zero offset - all level titles appear stacked directly over each other.</span></p>',
        text_description: 'Description for accordion.',
        accordion: []
    },
    {
        item_title: 'Nested Accordion Example',
        _metadata: {
            uid: 'cs3c6f709878884cce'
        },
        type: 'accordion',
        default_open: false,
        rte: '',
        text_description: '',
        accordion: [
            {
                _version: 3,
                locale: 'en',
                uid: 'blt846b5b46df12287d',
                ACL: {},
                _in_progress: false,
                created_at: '2023-08-08T11:01:38.737Z',
                created_by: 'bltc363ba62ecea2435',
                invert: false,
                items: [
                    {
                        item_title: 'Accordion Content',
                        _metadata: {
                            uid: 'cs8621e588dbe12934'
                        },
                        type: 'accordion',
                        default_open: false,
                        rte: '',
                        text_description: '',
                        accordion: [
                            {
                                _version: 1,
                                locale: 'en',
                                uid: 'blt6b6fa407d5d9acda',
                                ACL: {},
                                _in_progress: false,
                                created_at: '2023-08-08T11:06:12.338Z',
                                created_by: 'bltc363ba62ecea2435',
                                invert: false,
                                items: [
                                    {
                                        item_title: 'Example - 2.1',
                                        type: 'text',
                                        default_open: false,
                                        rte: '',
                                        text_description: 'Example 2.2 Text Content',
                                        accordion: [],
                                        _metadata: {
                                            uid: 'csa4b0bcfdc5fd4996'
                                        }
                                    },
                                    {
                                        item_title: 'Example - 2.2',
                                        type: 'html',
                                        default_open: false,
                                        rte: 'BEAUTY FOCUS™A SKIN READY FOR WINTERWE’VE BROUGHT <p><strong>THESE DISCOVERIES TO LIFE THROUGH OUR POWERFUL SKIN CARE PRODUCTS AND SUPPLEMENTS.</strong><a href="http://localhost:3000/home"><strong>SHOP NOW</strong></a><strong><br/><br/></strong></p>',
                                        text_description: '',
                                        accordion: [],
                                        _metadata: {
                                            uid: 'csaf124eb23f68880e'
                                        }
                                    }
                                ],
                                level: 2,
                                multiple_open: false,
                                tags: [],
                                title: 'Second Level Accordion 1',
                                updated_at: '2023-08-08T11:06:12.338Z',
                                updated_by: 'bltc363ba62ecea2435',
                                variant: 'basic',
                                _content_type_uid: 'ns_accordion',
                                publish_details: {
                                    environment: 'bltdb86909de0916f52',
                                    locale: 'en',
                                    time: '2023-08-08T11:06:21.170Z',
                                    user: 'bltc363ba62ecea2435'
                                }
                            }
                        ]
                    },
                    {
                        item_title: 'Text Content',
                        _metadata: {
                            uid: 'csa4790a2ff251f548'
                        },
                        type: 'text',
                        default_open: false,
                        rte: '',
                        text_description:
                            'Accordions can be nested repeatedly, internal accordions follow the ‘gray’ theme',
                        accordion: []
                    },
                    {
                        item_title: 'Accordion content 2',
                        _metadata: {
                            uid: 'cs530efecf89e1164d'
                        },
                        type: 'accordion',
                        default_open: false,
                        rte: '',
                        text_description: '',
                        accordion: [
                            {
                                _version: 1,
                                locale: 'en',
                                uid: 'blt539d60a5b6cf95b6',
                                ACL: {},
                                _in_progress: false,
                                created_at: '2023-08-08T11:08:25.907Z',
                                created_by: 'bltc363ba62ecea2435',
                                invert: false,
                                items: [
                                    {
                                        item_title: 'Example - 2. Another Title',
                                        _metadata: {
                                            uid: 'cs89042f2b34a68250'
                                        },
                                        type: 'html',
                                        default_open: false,
                                        rte: '<p></p><h1>An h1 header</h1><p>Paragraphs are separated by a blank line.</p><p>2nd paragraph.<span>&nbsp;</span><em>Italic</em>,<span>&nbsp;</span><strong>bold</strong>, and<span>&nbsp;</span>monospace. Itemized lists look like:</p><p></p>',
                                        text_description: '',
                                        accordion: []
                                    },
                                    {
                                        item_title: 'Example - 2. Title',
                                        _metadata: {
                                            uid: 'cs7d8e52e6d8c3c3a0'
                                        },
                                        type: 'text',
                                        default_open: false,
                                        rte: '',
                                        text_description:
                                            'Learn more about the latest artwork displayed at Nu Skin that highlights our Force for Good efforts.',
                                        accordion: []
                                    }
                                ],
                                level: 2,
                                multiple_open: false,
                                tags: [],
                                title: 'Second Level Accordion 2',
                                updated_at: '2023-08-08T11:08:25.907Z',
                                updated_by: 'bltc363ba62ecea2435',
                                variant: 'basic',
                                _content_type_uid: 'ns_accordion',
                                publish_details: {
                                    environment: 'bltdb86909de0916f52',
                                    locale: 'en',
                                    time: '2023-08-08T11:08:31.682Z',
                                    user: 'bltc363ba62ecea2435'
                                }
                            }
                        ]
                    }
                ],
                level: 2,
                multiple_open: true,
                tags: [],
                title: 'Internal Accordion',
                updated_at: '2023-08-08T11:09:21.255Z',
                updated_by: 'bltc363ba62ecea2435',
                variant: 'basic',
                _content_type_uid: 'ns_accordion',
                publish_details: {
                    environment: 'bltdb86909de0916f52',
                    locale: 'en',
                    time: '2023-08-08T11:09:27.788Z',
                    user: 'bltc363ba62ecea2435'
                }
            }
        ]
    },
    {
        item_title: 'Third Accordion Simple Text',
        _metadata: {
            uid: 'cs5d72b480ade47320'
        },
        type: 'text',
        default_open: false,
        rte: '',
        text_description:
            'level = 1 means no padding on left from parent to child,\n            level = 2 means padding of 16px, level = 3 means padding of 32px and so on ..',
        accordion: []
    }
];
