import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';

const getCheckoutCardModel = (data: any) => ({
    icon: data?.icon || '',
    title: data?.checkoutCardTitle || '',
    linkText: data?.linkText || '',
    url: data?.url || '',
    className: data?.className || ''
});

export const getCheckoutCardData = compose(
    getCheckoutCardModel,
    pathOr({}, [CardTypeName.CheckoutCard])
);
