import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getHeroCardLevel1CardModel = (data: any) => ({
    cardTitle: data?.cardTitle || '',
    cardDescription: data?.cardDescription || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    className: data?.className || '',
    button: getButtonModel(data),
    imagePosition: data?.imagePosition || ''
});

export const getHeroCardLevel1CardData = compose(
    getHeroCardLevel1CardModel,
    pathOr({}, [CardTypeName.HeroLevel1Card])
);
