import applySpec from 'ramda/src/applySpec';
import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { baseStatementSpec } from './base-statement';
import { StatementTypeName } from '../types/types';

const getStatementInfoModel = applySpec(baseStatementSpec);

export const getQuoteStatementData = compose(
    getStatementInfoModel,
    pathOr({}, [StatementTypeName.quote])
);