import { render } from '@testing-library/react';

import NsStatementComponent from '../Statement';
import { StatementComponentProps, StatementComponentProps1, StatementComponentProps2 } from './fixtures';

describe('Statement Component', () => {
    beforeEach(() => {
        console.error = jest.fn();
        console.warn = jest.fn();
    });
    it('1. render NsStatementComponent ', () => {
        const { container } = render(
            <NsStatementComponent statement={StatementComponentProps?.statement} />
        );
        expect(container).toMatchSnapshot();
    });
    it('2. render NsStatementComponent ', () => {
        const { container } = render(
            <NsStatementComponent statement={StatementComponentProps1?.statement} />
        );
        expect(container).toMatchSnapshot();
    });
    it('3. render NsStatementComponent with no data ', () => {
        const { container } = render(
            <NsStatementComponent statement={StatementComponentProps2?.statement} />
        );
        expect(container).toMatchSnapshot();
    });
});
