export interface StatementVariantProps {
    statementItem: ItemsProps;
}

export type StatementParserProps = {
    statement: ItemsProps[];
};

export interface ItemsProps {
    show: boolean;
    header: string;
    liveTags?: {
        header?: Record<'data-cslp', string>;
    };
    fontColor: 'primary' | 'secondary';
}

export enum StatementTypeName {
    default = 'default',
    quote = 'quote',
    footNote = 'footnote',
    show = 'show',
    header = 'header',
    fontColor = 'font_color',
    backgroundColor = 'backgroundColor'
}