import { DefaultVideoProps, VideoParserProps } from '../../types/types';

export const NsVideoMockdata: VideoParserProps = {
    type: 'ns_video',
    show: true,
    width: '100%',
    height: '500',
    title: 'Ns Video Component',
    video: [
        {
            default: {
                default_video: {
                    type: 'YouTube',
                    url: 'https://www.youtube.com/embed/7IeqWiZ0kvA?si=vSvPRyKSVav7SXne',
                    allowFullScreen: true
                }
            }
        }
    ]

};

export const DefaultVideoMockdata: DefaultVideoProps = {
    show: true,
    width: '100%',
    height: '500',
    title: 'Ns Video Component',
    items:
    {
        type: 'YouTube',
        href: 'https://www.youtube.com/embed/7IeqWiZ0kvA?si=vSvPRyKSVav7SXne',
        allowFullScreen: true
    }

};
